org.eclipse.pde.core.project

## Interface IBundleClasspathEntry

    public interface IBundleClasspathEntry

Specifies the origin of source, class files, and/or archive for an entry on the Bundle-Classpath header. Instances of this class can be created via `IBundleProjectService.newBundleClasspathEntry(IPath, IPath, IPath)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IPath` `getBinaryPath()` Returns a project relative path for a folder or archive containing class files and resource files targeted for the library this entry describes.
`IPath` `getLibrary()` Returns the library on the Bundle-Classpath header the source and/binary files are targeted for or `null` to indicate the default entry `"."`
`IPath` `getSourcePath()` Returns a project relative path for a folder containing source code targeted for the library this entry describes, or `null` if there is no source for the entry.

### Method Detail

#### getSourcePath

    IPath getSourcePath()

Returns a project relative path for a folder containing source code targeted for the library this entry describes, or `null` if there is no source for the entry.

When a `getSourcePath()` is specified, the binary path specifies the output folder for the source, and in this case `null` indicates the associated Java project's default build path output folder.

Returns:
  project relative path of folder containing source code or `null`

#### getBinaryPath

    IPath getBinaryPath()

Returns a project relative path for a folder or archive containing class files and resource files targeted for the library this entry describes.

When a `getSourcePath()` is specified, the binary path specifies the output folder for the source, and in this case `null` indicates the associated Java project's default build path output folder. When a `getSourcePath()` is not specified, the binary path specifies a folder of class files.

Returns:
  project relative class file folder, archive or `null` to indicate default build path output folder

#### getLibrary

    IPath getLibrary()

Returns the library on the Bundle-Classpath header the source and/binary files are targeted for or `null` to indicate the default entry `"."`.

When a `getSourcePath()` or `getBinaryPath()` is specified, this indicates that the library will be generated from source or binaries. When neither `getSourcePath()` or `getBinaryPath()` are specified, it indicates the library is contained in the project as an archive at the specified location.

Returns:
  Bundle-Classpath library or `null`